%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

Name: xorg-drv-trident
Version: 1.3.1
Release: alt2
Serial: 1
Summary: Trident video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-trident = %serial:%version-%release
Obsoletes: xorg-x11-drv-trident

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): xorg-sdk
BuildRequires: xorg-proto-devel

%description
trident  is  an  Xorg  driver  for Trident video cards.  The
driver is accelerated, and provides support for  the  following  frame-
buffer  depths:  1, 4, 8, 15, 16, and 24. Multi-head configurations are
supported.  The XvImage extension is supported on TGUI96xx and  greater
cards.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 xf86-video-trident.xinf %buildroot%_hwdatadir/trident.xinf
install -pD -m644 11-x11-video-trident.fdi %buildroot%_fdidir/20-x11-video-trident.fdi

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_fdidir/20-x11-video-trident.fdi
%_man4dir/*

%changelog
* Fri Feb 27 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.1-alt2
- requires XORG_ABI_VIDEODRV = 5.0

* Mon Dec 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.1-alt1
- 1.3.1

* Wed Aug 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt3
- requires XORG_ABI_VIDEODRV = 4.1

* Thu Jun 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt2
- renamed xorg-x11-drv-trident to xorg-drv-trident
- added requires XORG_ABI_VIDEODRV = 2.0
- converted xinf to fdi

* Wed Mar 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt1
- 1.3.0

* Mon Feb 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.4-alt1
- 1.2.4

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.3-alt3
- rebuild with xorg-server-1.4

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.3-alt2
- added videoaliases file from RH

* Sun Nov 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.3-alt1
- 1.2.3

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.2-alt1
- 1.2.2

* Thu Aug 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt2
- build for i586 and x86_64

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt1
- 1.2.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.2-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0.2-alt0.1
- initial release

